Transfer Tokens
Initiates a direct token transfer from an organizational wallet.
Headers
PLANBOK-X-API-KEYAPI key for authentication
Transfer Tokens › Request Body
idempotencyKeyA unique UUID v4 to ensure request idempotency.
walletIdWallet ID
destinationAddressDestination address
tokenIdToken ID
amountsList of amounts to transfer
feeLevelFee level
refIdReference ID (reference or description used to identify the transaction.)
encryptedOrganizationSecretRequired only for organizations operating in trustless MPC mode. Must be a base64 encoded ciphertext.
Transfer Tokens › Responses
Transaction broadcast successfully
successstatusmessageContract Execution
Executes a smart contract interaction from an organizational wallet.
Headers
PLANBOK-X-API-KEYAPI key for authentication
Contract Execution › Request Body
idempotencyKeyA unique UUID v4 to ensure request idempotency.
walletIdWallet ID
contractAddressContract Address
abiFunctionSignatureABI Function Signature e.g. transfer(address,uint256). For Solana and Near chain types use the operation name and operation parameter names like transfer(to,amount), ft_transfer(receiver_id,amount)
abiParametersArray of ABI/operation parameters in order of the function signature.
amountThe amount of native token in decimals, that will be sent to the contract abi execution. Optional field for payable api only, if not provided, no native token will be sent.
feeLevelFee level
refIdReference ID (reference or description used to identify the transaction.)
encryptedOrganizationSecretRequired only for organizations operating in trustless MPC mode. Must be a base64 encoded ciphertext.
Contract Execution › Responses
Contract execution transaction broadcast successfully
successstatusmessageCancel Transaction
Attempts to cancel a pending transaction.
path Parameters
idTransaction ID
Headers
PLANBOK-X-API-KEYAPI key for authentication
Cancel Transaction › Request Body
idempotencyKeyA unique UUID v4 to ensure request idempotency.
encryptedOrganizationSecretRequired only for organizations operating in trustless MPC mode. Must be a base64 encoded ciphertext.
Cancel Transaction › Responses
Transaction cancellation processed
successstatusmessageAccelerate Transaction
Attempts to accelerate a pending transaction by increasing fees.
path Parameters
idTransaction ID
Headers
PLANBOK-X-API-KEYAPI key for authentication
Accelerate Transaction › Request Body
idempotencyKeyA unique UUID v4 to ensure request idempotency.
encryptedOrganizationSecretRequired only for organizations operating in trustless MPC mode. Must be a base64 encoded ciphertext.
Accelerate Transaction › Responses
Transaction acceleration processed
successstatusmessageList Transaction History
Returns a history of transactions.
query Parameters
pagelimitorderblockchainThe blockchain identifier.
controllerdestinationAddressoperationstatuswalletIdsWallet IDs to filter transactions by. Separate multiple wallet IDs with commas.
txHashTransaction hash to filter transactions by.
refIdReference ID to filter transactions by.
contractAddressContract address to filter transactions by.
searchSearch by wallet name, address or ID, token ID, or transaction hash.
Headers
PLANBOK-X-API-KEYAPI key for authentication
List Transaction History › Responses
List of transactions
successstatusmessageEstimate Transfer Fee
Estimates fees for a token transfer.
Headers
PLANBOK-X-API-KEYAPI key for authentication
Estimate Transfer Fee › Request Body
walletIdWallet ID
destinationAddressDestination address
tokenIdToken ID
amountsList of amounts to transfer
Estimate Transfer Fee › Responses
Fee estimation retrieved
successstatusmessageEstimate Contract Fee
Estimates fees for a hypothetical contract execution.
Headers
PLANBOK-X-API-KEYAPI key for authentication
Estimate Contract Fee › Request Body
walletIdWallet ID
contractAddressContract Address
abiFunctionSignatureABI Function Signature e.g. transfer(address,uint256). For Solana and Near chain types use the operation name and operation parameter names like transfer(to,amount), ft_transfer(receiver_id,amount)
abiParametersArray of ABI/operation parameters in order of the function signature.
amountThe amount of native token in decimals, that will be sent to the contract abi execution. Optional field for payable api only, if not provided, no native token will be sent.
Estimate Contract Fee › Responses
Fee estimation retrieved
successstatusmessageCall Contract View Function
Executes a read-only (view/pure) contract function call. No signing or transaction record is created. Returns the decoded result from the blockchain.
Headers
PLANBOK-X-API-KEYAPI key for authentication
Call Contract View Function › Request Body
walletIdWallet ID providing the context (blockchain, address as sender)
contractAddressContract/Program Address
abiFunctionSignatureFunction name/signature. EVM: "balanceOf(address) returns (uint256)", NEAR/Anchor: "ft_balance_of", Cosmos: "balance". IMPORTANT: EVM requires "returns (...)" to decode the result.
abiParametersArguments for the call. For JSON-based chains (NEAR, Cosmos, Solana), pass the JSON string as the first element of the array.
Call Contract View Function › Responses
Function result retrieved
successstatus